export declare namespace Metadata {
    function SetMetadata<T>(symbol: symbol | string, target: Object, value: T): void;
    function GetMetadata<T>(symbol: symbol | string, target: Object, defaultValue?: T): T;
    function GetOwnMetadata<T>(symbol: symbol | string, target: Object, defaultValue?: T): T;
    function GetAllMetadata(target: Object): Map<symbol | string, any>;
    function HasMetadata(symbol: symbol | string, target: Object): boolean;
    function HasOwnMetadata(symbol: symbol | string, target: Object): boolean;
    function GetMetadataMap<K, V>(symbol: symbol | string, target: Object): Map<K, V>;
    function GetOwnMetadataMap<K, V>(symbol: symbol | string, target: Object): Map<K, V>;
}
